Package com.collibra.dgc.core.api.dto.instance.asset

# Class AddAssetTagsRequest

Object
AddAssetTagsRequest

All Implemented Interfaces:
  `Serializable`

public class AddAssetTagsRequest extends Object implements Serializable
The tags to be added to given asset. If tag with given names does not exists, it will be created.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddAssetTagsRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAssetTagsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddAssetTagsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset.
  `List<String>`
  `getTagNames()`
  Required. The names of the tags to be applied on given asset.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset.
  `void`
  `setTagNames(List<String> tagNames)`
  Required. The names of the tags to be applied on given asset.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddAssetTagsRequest

    public AddAssetTagsRequest()

- ## Method Details

  - ### builder

    public static AddAssetTagsRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset.

  - ### getTagNames

    public List<String> getTagNames()
    Required. The names of the tags to be applied on given asset.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset.

  - ### setTagNames

    public void setTagNames(List<String> tagNames)
    Required. The names of the tags to be applied on given asset.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`